
math.tau = math.pi*2

function float_equal(a, b, eps)
	local epsilon = eps or 0.000001
	return (a - epsilon <= b and a + epsilon >= b)
end

function normalize_rad(a)
	while a > math.tau do 
		a = a - math.tau
	end
	while a < 0 do
		a = a + math.tau
	end
	return a
end
