--Load.lua
--Handles loading of everything needed and keeps track.
ImageManager = require 'ImageManager'

local AllImages = {
	--Backgrounds
	"assets/textures/bg1.png",
	
	--Planets
	"assets/textures/planet1.png",

	--Stations
	"assets/textures/station1.png",

	--Ships
	"assets/textures/ship1.png",
	"assets/textures/ship2.png",
	"assets/textures/ship3.png",
	"assets/textures/ship4.png",
	"assets/textures/ship5.png",
	"assets/textures/ship6.png",
	"assets/textures/ship7.png",
}
local AllSounds = {
	

}
local AllMusic = {
	
}
ImagePercent = 0
SoundPercent = 0
MusicPercent = 0

return function(callback)
	local thread = coroutine.create(function()
		for i,v in pairs(AllImages) do
			imagemanager:get(v)
			ImagePercent = i / #AllImages
			if callback ~= nil then callback(ImagePercent, SoundPercent, MusicPercent) end
		end
		for i,v in pairs(AllSounds) do
			---------
			SoundPercent = i / #AllSounds
			if callback ~= nil then callback(ImagePercent, SoundPercent, MusicPercent) end
		end
		for i,v in pairs(AllMusic) do
			---------
			MusicPercent = i / #AllMusic
			if callback ~= nil then callback(ImagePercent, SoundPercent, MusicPercent) end
		end
	end)
	coroutine.resume(thread)
	return thread
end